Provide a more secure apache ssl.conf ssiciphersuite configuration on by default
07/12/2017 03:17 AM - Tomer Brisker

Status: Closed

Priority: Normal

Assignee: Tomer Brisker

Category:

Target version: 1.15.3

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: 1467434 Red Hat JIRA:

Pull request: https://github.com/theforeman/foreman-i

nstaller/pull/236,
https://github.com/theforeman/foreman-i
nstaller/pull/237

Description
Set the default ciphesuites for apache to a stronger setting then the default provided by the puppet module.

Associated revisions

Revision 267653fa - 07/12/2017 07:55 AM - Tomer Brisker

Fixes #20282, #14667 - Provide more secure defaults for apache (#236)
This sets the default ciphersuites to the recommended for the time of
writing for the supported servers and browsers. This also disables
TRACE method, which is not a security vulnerability but comes up often

in automated security audits and isn't required for proper functioning
of Foreman.

Revision aea07409 - 07/17/2017 11:47 AM - Michael Moll
Refs #20282 - add more ciphers (#237)

The list got cut off in the initial PR.

The JRE coming with Debian/jessie exposed problems with Puppetserver,
delivering reports to Foreman with the original cipher list.

History

#1 - 07/12/2017 06:46 AM - Ewoud Kohl van Wijngaarden

- Subject changed from Provide a more secure apache ssl.conf ssiciphersuite configuration on by default
to Provide a more secure apache ssl.conf ssiciphersuite configuration on by default

- Status changed from New to Need more information

We could use the modern cipher suite from https://mozilla.github.io/server-side-tls/ssl-config-generator/ but could you be a bit more specific? The
linked bugzilla is not public.

#2 - 07/12/2017 07:02 AM - Tomer Brisker

yes, . .
all our supported servers and browsers.

#3 - 07/12/2017 07:02 AM - Tomer Brisker

- Status changed from Need more information to New

#4 - 07/12/2017 07:19 AM - The Foreman Bot
- Status changed from New to Ready For Testing

- Assignee set to Tomer Brisker
https://mozilla.github.io/server-side-tls/ssl-config-generator/?server=apache-2.4.6&openssl=1.0.1e&hsts=no&profile=intermediate should work for


https://mozilla.github.io/server-side-tls/ssl-config-generator/
https://mozilla.github.io/server-side-tls/ssl-config-generator/?server=apache-2.4.6&openssl=1.0.1e&hsts=no&profile=intermediate

- Pull request https://github.com/theforeman/foreman-installer/pull/236 added

#5 - 07/12/2017 08:01 AM - Anonymous
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 267653fadea7{443396ecf1443777dc5{6748ba4.

#6 - 07/14/2017 03:58 PM - Eric Helms

- translation missing: en.field_release set to 276

#7 - 07/17/2017 05:28 AM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman-installer/pull/237 added
